/*
 * Styling of the menu and its sub-sections:
 *        drawing help
 *        tool info
 *        languages preview
 *        generation options
 */
@mixin gui-menu {
    $height: 70vh;

    @include abs($top: d('fixed-inner'), $right: d('fixed-inner'));
    
    z-index: z("above-all");

    width: 100px;

    display: grid;
    grid-template-rows: auto auto;

    > img {
        width: 100%;
        padding: 5px;
        border: 1px solid color("gray");
        border-radius: d("border-radius");
        grid-row-start: 1;
        grid-row-end: 2;
        background-color: color("white");
    }

    > div {
        position: relative;
        grid-row-start: 2;
        grid-row-end: 3;
    }

    &:hover, &.selected {
        > img {
            border-bottom-left-radius: unset;
            border-bottom-right-radius: unset;
        }

        nav {
            height: $height;
            padding: 20px 0;

            border-left: 1px solid color("gray");
            border-bottom: 1px solid color("gray");
            border-right: 1px solid color("gray");
            border-bottom-left-radius: d("border-radius");
            border-bottom-right-radius: d("border-radius");
        }
    }

    &.selected {
        nav {
            border-bottom-left-radius: unset;
        }
    }

    nav {
        @include menu-navigation();
    }

    section {
        @include abs($top: 0, $right: 100%);

        height: $height;
        width: 80vw;
        padding: d("padding-inner");

        z-index: z("above-all");
        background-color: color("gray");
        border: 1px solid color("gray");
        border-top-left-radius: d("border-radius");
        border-bottom-left-radius: d("border-radius");

        overflow-y: scroll;

        @include selectable();

        &#info {
            @include menu-info();
        }

        &#languages {
            @include menu-languages();
        }

        &#options {
            @include menu-options();
        }

        div.help-item {
            @include help-item();
        }
    }
}
